API Reference
Log InTalk to Sales
API Reference

InsertTransactionV2

You can send local attributes on each transaction object (alongside the standard fields below), but only after those attributes have been created and configured for your program in Loyalife Admin , use the same property names and data types as defined there.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Add Transaction

Submits one or more transaction rows for asynchronous processing. The API returns a batch_id used to poll completion.

Example Response:

{
    "results": {
        "IsSucessful": true,
        "ErrorCode": "000",
        "ExceptionMessage": "Success",
        "ReturnObject": {
            "batch_id": "fdf59c58-9192-4e33-9880-8ea5b33fdb42_20260403173545698",
            "message": "Transactions queued successfully",
            "total_transactions": 5
        },
        "Count": 0
    }
}

Error Codes:

CodeDescription
000Success
006Specific error code
400Bad Request
Path Params
string
required
Defaults to programId
Body Params
Headers
string
required
Defaults to bearer

Add the generated auth token here

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json